Search for Outreach Emails

Use the Search for Outreach Emails endpoint to find emails that your team has created and sent as part of Apollo sequences.

To protect Apollo's performance for all users, this endpoint has a display limit of 50,000 records (100 records per page, up to 500 pages). Add more filters to narrow your search results as much as possible. This limitation does not restrict your access to Apollo's database; you just need to access the data in batches.

This endpoint requires a master API key. If you attempt to call the endpoint without a master key, you will receive a 403 response. Refer to Create API Keys to learn how to create a master API key.

Query Params
emailer_message_stats[]
array of strings

Find emails based on their current status, such as whether they were delivered or opened. You can add multiple statuses.

Possible values include:

  • delivered
  • scheduled
  • drafted
  • not_opened
  • opened
  • clicked
  • unsubscribed
  • demoed
  • bounced
  • spam_blocked
  • failed_other

emailer_message_stats[]
emailer_message_reply_classes[]
array of strings

Find emails based on the response sentiment of the recipient. This can include the recipient expressing interest in meeting or having a follow-up question. You can add multiple values.

Possible values include:

  • willing_to_meet
  • follow_up_question
  • person_referral
  • out_of_office
  • already_left_company_or_not_right_person
  • not_interested
  • unsubscribe
  • none_of_the_above

emailer_message_reply_classes[]
user_ids[]
array of strings

Find emails sent by specific users in your team's Apollo account. You can add multiple users.

Use the Get a List of Users endpoint to retrieve IDs for all of the users within your Apollo account.

Example: 66302798d03b9601c7934ebf

user_ids[]
string
emailer_campaign_ids[]
array of strings

Search for emails that are included in specific sequences in your Apollo account. You can search multiple sequences. Any sequence not included in this parameter will be exclude from search results.

To find sequence IDs, call the Search for Sequences endpoint and identify the id value for the sequence.

Example: 66e9e215ece19801b219997f

emailer_campaign_ids[]
not_emailer_campaign_ids[]
array of strings

Exclude emails from specific sequences in your Apollo account. You can exclude multiple sequences. Any sequence not excluded using this parameter will be included in search results.

To find sequence IDs, call the Search for Sequences endpoint and identify the id value for the sequence.

Example: 66e9e215ece19801b219997f

not_emailer_campaign_ids[]
string

Use this parameter in combination with the emailer_message_date_range[max] and emailer_message_date_range[min] parameters. Find emails based on 1 of the following options:

  • due_at: When emails are scheduled to be delivered.
  • completed_at: When emails were delivered.

date

Set the upper bound of the date range you want to search.

Use this parameter in combination with the emailer_message_date_range[min] and emailer_message_date_range_mode parameters. This date should fall after the emailer_message_date_range[min] date.

The date should be formatted as YYYY-MM-DD.

Example: 2025-10-30

date

Set the lower bound of the date range you want to search.

Use this parameter in combination with the emailer_message_date_range[max] and emailer_message_date_range_mode parameters. This date should fall before the emailer_message_date_range[max] date.

The date should be formatted as YYYY-MM-DD.

Example: 2025-10-30

not_sent_reason_cds[]
array of strings

Find emails based on the reason they were not sent. You can add multiple values.

Possible values include:

  • contact_stage_safeguard
  • same_account_reply
  • account_stage_safeguard
  • email_unverified
  • snippets_missing
  • personalized_opener_missing
  • thread_reply_original_email_missing
  • no_active_email_account
  • email_format_invalid
  • ownership_permission
  • email_service_provider_delivery_failure
  • sendgrid_dropped_email
  • mailgun_dropped_email
  • gdpr_compliance
  • not_valid_hard_bounce_detected
  • other_safeguard
  • new_job_change_detected
  • email_on_global_bounce_list

not_sent_reason_cds[]
string

Add keywords to narrow the search of the emails in your team's Apollo account.

Keywords should directly match at least part of an email's content. For example, searching the keyword James might return emails that were sent by James Smith.

Example: Jane

int32

The page number of the Apollo data that you want to retrieve.

Use this parameter in combination with the per_page parameter to make search results for navigable and improve the performance of the endpoint.

Example: 4

int32

The number of search results that should be returned for each page. Limiting the number of results per page improves the endpoint's performance.

Use the page parameter to search the different pages of data.

Example: 10

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain